Subject: comments for draft-ietf-ccamp-gmpls-ospf-mib-00.txt

From: Ken Nagami <[email-masked]>
Date: Wed, 26 Jul 2006 16:05:21 +0900

Dear authors (Masanori, Tomo, Tom, Kenji)

I have following comments for the draft-ietf-ccamp-gmpls-ospf-mib-00.txt
I think it is better to change the draft. How do you think?

Regards,
Ken Nagami
-----------------------
1. Index of ospfTeLsdbEntry should be changed.
   - Index of ospfTeLsdbEntry needs to add ospfAreaID becasue LSDB 
exists in each ospf area.
     current INDEX
       { ospfLsdbLsid, ospflsdbRouterId}
     should changed to
       { ospfAreaId, ospfLsdbLsid, ospflsdbRouterId}

2. Index of ospfTeLocalIntAddrEntry, ospfTeRemoteIntAddrEntry, 
ospfTeSwCapEntry and
    ospfTeSrlgEntry needs to add ospfAreaId. This is same as the above.

3. "ospfTeLinkIdAddr     InetAddress,
     ospfTeLinkIdAddrType InetAddressType"
    needs to change to
    "ospfTeLinkIdAddr     IpAddress"
    Because the Link ID in the RFC3630 is 32 bits.

4. "ospfTeLocalIntAddr, ospfTeLocalIntAddrType" and 
"ospfTeRemoteIntAddr, ospfTeRemoteIntAddrType"
    needs to be changed. This is same as the above.

5. Need to add information for "Router Address TLV" in section 2.4.1 of RFC3630.
    I think the current draft do not have information of "Router Address TLV".

6. SYNTAX of "*Bandwidth*" needs to change from "Unsigned32" to 
"OCTET STRING SIZE(4)"
    because this field is described by IEEE floating point format.

    Related managed objects are :
     ospfTeMaxBandwidth
     ospfMaxReservableBandwidth
     ospfTeUnreservedBandwidthPri*
     ospfTeMaxLspBandwidth*

7. I think it is better to add "UNITS byte per seconds" in "*Bandwidth*" objects.

8. SYNTAX of ospfTeLinkProtectionType needs to change from "INTEGER" to "BITS".
    Because the first octet of "Link protection Type" in section 1.2 of RFC4303
    is a bit vector.

9. MIB compile error
         "Initial version. Published as RFC xxxx." -- RFC-editor pls fill
         in xxx"
     needs to changed to
         "Initial version. Published as RFC xxxx." -- RFC-editor pls fill
                                                   -- in xxx